Bug 590699 - [abrt] crash in gstreamer-0.10.28-2.fc12: Process /usr/bin/gst-launch-0.10 was killed by signal 8 (SIGFPE)
[abrt] crash in gstreamer-0.10.28-2.fc12: Process /usr/bin/gst-launch-0.10 wa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:234e7e2b2f7c06365790290acfe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 10:07 EDT by Nikolay Bryskin
Modified: 2010-07-22 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version: gstreamer-0.10.30-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 22:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.84 KB, text/plain)
2010-05-10 10:07 EDT, Nikolay Bryskin
no flags Details

  None (edit)
Description Nikolay Bryskin 2010-05-10 10:07:02 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/gst-launch-0.10 filesrc location=video.out ! avimux ! filesink location=video.avi
component: gstreamer
crash_function: gst_avi_mux_audsink_set_fields
executable: /usr/bin/gst-launch-0.10
global_uuid: 234e7e2b2f7c06365790290acfe6600edf8a72c8
kernel: 2.6.32.11-99.fc12.x86_64
package: gstreamer-0.10.28-2.fc12
rating: 4
reason: Process /usr/bin/gst-launch-0.10 was killed by signal 8 (SIGFPE)
release: Fedora release 12 (Constantine)

comment
-----
$ file video.out
video.out: MPEG sequence, v4, video, advanced RT simple @ L!

How to reproduce
-----
$gst-launch filesrc location=video.out ! avimux ! filesink location=out.avi
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstSystemClock
Floating point exception (core dumped)
Comment 1 Nikolay Bryskin 2010-05-10 10:07:05 EDT
Created attachment 412849 [details]
File: backtrace
Comment 2 Benjamin Otte 2010-05-11 05:45:12 EDT
I've forwarded this crash to the GStreamer developers at https://bugzilla.gnome.org/show_bug.cgi?id=618351

That said, this pipeline wouldn't work anyway. You'll need to tell gst-launch the format of the given file. If it's raw video that you captured, you'll want to use the videoparse element to do that. So using somethig like this should work:
  gst-launch filesrc location=video.out ! videoparse width=320 height=240 format=i420 ! avimux ! filesink location=out.avi
Of course, you need to use the correct width, height and format.

If it's a video file that is in some format already, you want to use decodebin to decode it, like this:
  gst-launch filesrc location=video.out ! decodebin ! avimux ! filesink location=out.avi

Hope that helps.
Comment 3 Fedora Admin XMLRPC Client 2010-06-03 14:00:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2010-07-16 13:14:25 EDT
gstreamer-0.10.30-1.fc13,gstreamer-plugins-base-0.10.30-1.fc13,gstreamer-plugins-good-0.10.24-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gstreamer-0.10.30-1.fc13,gstreamer-plugins-base-0.10.30-1.fc13,gstreamer-plugins-good-0.10.24-1.fc13
Comment 5 Fedora Update System 2010-07-22 22:41:26 EDT
gstreamer-0.10.30-1.fc13, gstreamer-plugins-base-0.10.30-1.fc13, gstreamer-plugins-good-0.10.24-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.